subroutine HVel_CoordConversion( &
  & cptr_xyz_Vh, &
  & cptr_xyz_U, cptr_xyz_V &
  & )


  use, intrinsic :: iso_c_binding

  use Field_IcGrid3D_Manager, only: &
    & Field_IcGrid3D

  use Utility_GeoCoord, only: &
    & HVelocity_GeoCoordConversion

  implicit none
  type(c_ptr), value :: cptr_xyz_Vh
  type(c_ptr), value :: cptr_xyz_U
  type(c_ptr), value :: cptr_xyz_V

  type(Field_IcGrid3D), pointer :: ptr_xyz_Vh
  type(Field_IcGrid3D), pointer :: ptr_xyz_U
  type(Field_IcGrid3D), pointer :: ptr_xyz_V

  call c_f_pointer(cptr_xyz_Vh, ptr_xyz_Vh)
  call c_f_pointer(cptr_xyz_U, ptr_xyz_U)
  call c_f_pointer(cptr_xyz_V, ptr_xyz_V)

  call HVelocity_GeoCoordConversion( &
    & ptr_xyz_Vh, ptr_xyz_U, ptr_xyz_V &
    & )


end subroutine HVel_CoordConversion
